# Radial Templates for Inkscape

Stewart C. Russell

scruss.com &mdash; 2015-08-29

These SVG templates are modelled after
[Eric Broug](http://www.broug.com/ "Eric Broug")'s drawing templates
for Islamic Geometric Design pattern elements. Although written for
Inkscape, they should be usable with almost any graphics program.

By enabling snapping to nodes and object centres, your drawing program
can act like an accurate straight edge and compass for constructing
geometric figures. 

## Nomenclature

The files are name N-LL-S.svg, where:

* **N** &mdash; is the root symmetry: 4-fold, 5-fold, 6-fold, etc.
* **LL** &mdash; the total number of lines arranged evenly around the
circle. This will always be a multiple of *N*.
* **S** &mdash; If the total number of lines has another symmetry that is a
  factor, this is *S*. If S = 0, then only the root symmetry is
  marked.

Examples:

1. `4-12-6.svg` &mdash; base symmetry 4-fold (square/diamond), with 12 lines
   or 30&deg; spacing. Hexagonal (6-fold) guidelines are highlighted in a
   different colour.
2. `5-10-0.svg` &mdash; base symmetry 5-fold (pentagonal), with 10 lines or
36&deg; spacing. No other guidelines are highlighted.

## Features

In Inkscape 0.91:

* units set to mm
* snapping set to cusp nodes, intersections, and object rotation
centres
* construction lines on a separate layer (&lsquo;*construction*&rsquo;) from the
active layer (&lsquo;*drawing*&rsquo;)
* templates are initially sized at 100 x 100 mm
* hair-line (0.1 mm) construction lines

## Licence

WTFPL (srsly).
